metadata.fills. Use this to poll an open limit order, or to inspect a filled order’s execution detail.
Response
status. See Liquidity sources for how source values map to venue order books vs RFQ market makers.Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
Retrieve a single order by ID
GET /v1/accounts/{accountId}/orders/{orderId}
metadata.fills. Use this to poll an open limit order, or to inspect a filled order’s execution detail.
Response
{
"orderId": "ord_3e2b...",
"predexonId": "px-abc123def456",
"title": "Will Trump win the 2028 election?",
"outcome": "Yes",
"side": "buy",
"type": "market",
"status": "filled",
"filled": "100",
"averagePrice": "0.495",
"amount": "50.00",
"notional": "49.50",
"fee": "0.50",
"createdAt": "2026-05-06T12:00:00.214Z",
"filledAt": "2026-05-06T12:00:00.832Z",
"metadata": {
"fills": [
{ "source": "venue", "venue": "polymarket", "size": "50", "fillPrice": "0.50", "fee": "0.25" },
{ "source": "venue", "venue": "limitless", "size": "50", "fillPrice": "0.49", "fee": "0.25" }
]
}
}
status. See Liquidity sources for how source values map to venue order books vs RFQ market makers.